<template lang="pug">
.wrap.is-flex.is-justify-content-flex-start
	.aside.has-background-grey-darker( v-if='user' )
		Aside
	.body.is-flex.is-flex-direction-column.is-justify-content-flex-start
		Header( v-if='user' )
		.main.is-flex-grow-1.has-background-light
			router-view
</template>

<script setup>
import Aside from "@/components/Aside.vue"
import Header from "@/components/Header.vue"

import { useUserStore } from "@/stores/user.js"
import { computed } from "vue"

const us = useUserStore()

const user = computed(() => us.user)
</script>

<style lang="scss" scoped>
.wrap {
  height: 100vh;
}

.aside {
  min-width: $aside-width;
  max-width: $aside-width;
	padding-top: calc(2rem + $navbar-height);
}

.body {
  flex: 1;
}

.header {
	z-index: 2;
}

.main {
  overflow-x: hidden;
  overflow-y: auto;
	z-index: 1;
}

header + .main {
	padding-top: $navbar-height;
}
</style>